# -*- coding: utf-8 -*-

import mysql.simplesql as sql

tables = ['tmcsalerestrict']


def insertSaleRestrict(salerestrict):
    yield sql.Insert(table='tmcsalerestrict', values={
        'salerestrictcode': salerestrict.get('salerestrictcode', None),
        'tmccode': salerestrict.get('tmccode', None),
        'datebeg': salerestrict.get('datestart', None) if salerestrict.get('datestart', None) else None,
        'dateend': salerestrict.get('dateend', None) if salerestrict.get('dateend', None) else None,
        'daysbeg': salerestrict.get('daystart', None),
        'daysend': salerestrict.get('dayend', None),
        'timebeg': salerestrict.get('timestart', None) if salerestrict.get('timestart', None) else None,
        'timeend': salerestrict.get('timeend', None) if salerestrict.get('timeend', None) else None
    })


def deleteSaleRestrict(salerestrict):
    for i in deleteBySaleRestrictCode(salerestrict.get('salerestrictcode', None)):
        yield i


def deleteBySaleRestrictCode(salerestrictcode):
    yield sql.Delete(table='tmcsalerestrict', whereFields=['salerestrictcode'], whereValues=[salerestrictcode])


def clearSaleRestrict():
    yield sql.DeleteAll(table='tmcsalerestrict')
